%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname cucumber-rails
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Cucumber Generators and Runtime for Rails
Name: rubygem-%{gemname}
Version: 0.3.2
Release: 5%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/aslakhellesoy/cucumber-rails
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(cucumber) >= 0.8.0
Requires: rubygem(rails) >= 2.3.5
BuildRequires: rubygem(rake)
BuildRequires: rubygem(nokogiri)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rails) >= 2.3.5
BuildRequires: rubygem(cucumber) >= 0.8.0
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Cucumber Generators and Runtime for Rails

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --no-ri --rdoc %{SOURCE0}
rm -f %{buildroot}%{geminstdir}/.gitignore
rm -f %{buildroot}%{geminstdir}/config/.gitignore
find %{buildroot}%{geminstdir} -type f | xargs chmod -x
chmod +x %{buildroot}%{geminstdir}/templates/install/script/cucumber

%check
pushd %{buildroot}/%{geminstdir}
rake spec --trace
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%{geminstdir}/templates
%{geminstdir}/generators
%{geminstdir}/config
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/VERSION
%doc %{geminstdir}/README.rdoc
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/spec
%{geminstdir}/features
%{geminstdir}/Rakefile
%{geminstdir}/dev_tasks
%{geminstdir}/%{gemname}.gemspec
%{geminstdir}/HACKING.rdoc
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Thu Oct 14 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-5
- Fixed wrong email in changelog
- Fixed version in cucumber dependency
- Fixed attributes on doc subpackage

* Mon Oct 11 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-4
- Moved tests and documentation to doc subpackage
- Fixed licence tag
- Removed unused macros
- Fixed version dependencies

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-3
- Added nokogiri gem to dependencies

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-2
- Added missing cucumber dependency for build

* Fri Oct 01 2010 Michal Fojtik <mfojtik@redhat.com> - 0.3.2-1
- Initial package
